# 17. Poizvedba: pridobi »SoilDatasets«

Pridobite vse "SoilDatasets" za izbrano "Field". Nabori podatkov se lahko pridobijo z uporabo generičnih GraphQL poizvedb, kot so `getFarms` in `getFields` iz povezanega "Field".&#x20;

{% hint style="warning" %}
"SoilDataset" mora biti vnaprej naložen.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #vzorec "<OperationType> <YYYY-mm-DD>"
        operationId #če obstaja
        number #skupno število geofunkcij
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #popolni podatki za vsak atribut
          name #povezava do statistike >> atribut
          transliteratedName
          fullName #če obstaja
          unit #če obstaja
        }

        createdDate #čas in datum ustvarjanja entitete v GeoPard
        updatedDate #čas in datum zadnje posodobitve
        operationType
        operationId
        operationFileDate #čas in datum ustvarjanja datoteke
        operationStartDate #začetek izvedbe operacije
        
        statistics { #porazdelitev statističnih podatkov za vsak talni atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kratkoIme
          hexBarvneKode
          razredi
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    polja { 
      uuid
      soilDatasets { 
        uuid
        ime  
        operationId #če obstaja 
        number #skupno število geofunkcij 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #povezava do statistike >> atribut
          transliteratedName
          fullName #če obstaja
          unit #če obstaja
        }
      
        createdDate #čas in datum ustvarjanja v GeoPard
        updatedDate #čas in datum zadnje posodobitve v GeoPard
        operationFileDate #čas in datum ustvarjanja datoteke (če obstaja)
        operationStartDate #začetek operacije (če obstaja)
      
        statistics { #statistična porazdelitev za vsak talni atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #vizualna predstavitev
          url
          kratkoIme
          hexBarvneKode
          razredi
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/17.-poizvedba-pridobi-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
